Last Comment Bug 624692 - Undo close group cause tabs to overlap group name and close button when used in fullscreen
: Undo close group cause tabs to overlap group name and close button when used ...
Status: VERIFIED FIXED
[4b9]
: polish
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: P3 normal
: Firefox 6
Assigned To: Tim Taubert [:ttaubert]
:
:
Mentors:
Depends on: 654941
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-11 04:43 PST by Maniac Vlad Florin (:vladmaniac)
Modified: 2016-04-12 14:00 PDT (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (113.42 KB, image/png)
2011-01-11 04:43 PST, Maniac Vlad Florin (:vladmaniac)
no flags Details

Description Maniac Vlad Florin (:vladmaniac) 2011-01-11 04:43:08 PST
Created attachment 502772 [details]
screenshot

Build ID: 

Mozilla/5.0 (Windows NT 6.1; rv:2.0b9) Gecko/20100101 Firefox/4.0b9

Steps: 

1. Navigate some pages in a few tabs
2. Open panorama view and make sure tabs are part of a group 
3. Close the group 
4. Immediately press F11 to enter fullscreen mode 
5. Click on "Undo close group" 

Behavior: 
Group UI is broken when undo close group is triggered from fullscreen mode. 
See screenshot
Comment 1 Kevin Hanes 2011-01-11 14:21:01 PST
That sucks, but it's a bit corner-case-ey.
Comment 2 aravindm 2011-01-18 03:52:01 PST
Mozilla/5.0 (Windows NT 6.1; rv:2.0b10pre) Gecko/20110117 Firefox/4.0b10pre

Able to reproduce. Panorama view is broken after clicking on undo close group in fullscreen mode.
Comment 3 George Carstoiu 2011-05-05 01:12:32 PDT
Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110504 Firefox/6.0a1

I can also reproduce the issue on the latest trunk using the following steps:
1. Open a few tabs
2. Go into Panorama
3. Close the group that contains all the tabs
4. Press Undo close tab

This is reproducible on non-Fullscreen scenarios also.
Comment 4 Tim Taubert [:ttaubert] 2011-05-06 05:11:33 PDT
Will be fixed by bug 654941.
Comment 5 George Carstoiu 2011-06-21 06:49:36 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110620 Firefox/7.0a1

Verified issue on Ubuntu 11.04 x86, Mac OS X 10.6, Win7 x86 and WinXP using the steps from comment 3.

Setting status to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.